// Function to validate file size and type
function validateFile() {
    var fileInput = document.getElementById('fileToUpload');
    var filePath = fileInput.value;
    var allowedExtensions = /(\.jpg|\.jpeg|\.png|\.pdf)$/i;
    var fileSize = fileInput.files[0].size;

    // Check for valid file extensions
    if (!allowedExtensions.exec(filePath)) {
        alert('Only JPG, JPEG, PNG, and PDF files are allowed.');
        fileInput.value = '';
        return false;
    }

    // Check file size (max 2MB)
    if (fileSize > 2 * 1024 * 1024) {
        alert('File size must be less than 2MB.');
        fileInput.value = '';
        return false;
    }

    return true;
}
function uploadFile() {
    // Implement file upload logic here
    alert("Upload File functionality to be implemented.");
}

function refreshPage() {
    location.reload();
}

function generateHtml() {
    // This function should generate an HTML page with links to all uploaded files
    // For simplicity, let's assume we have an array of file names
    const files = ["file1.txt", "file2.jpg", "file3.pdf"];
    let htmlContent = "<h1>Uploaded Files</h1><ul>";
    files.forEach(file => {
        htmlContent += `<li><a href="uploads/${file}" target="_blank">${file}</a></li>`;
    });
    htmlContent += "</ul>";
    document.getElementById("content").innerHTML = htmlContent;
}

function showHelp() {
    const helpContent = `
        <h1>Help</h1>
        <p>This is the help page. Here you can find information about how to use this application.</p>
        <p>Developer: Mbsmgroup</p>
        <p>Email: <a href="mailto:help@mbsmgroup.com">help@mbsmgroup.com</a></p>
        <p>For more information, please contact us.</p>
    `;
    document.getElementById("content").innerHTML = helpContent;
}

function openNewTab(url) {
    window.open(url, '_blank');
}